### Hierarchy

- ProvenanceGraphMenu

## Index

### Constructors

- constructor

### Accessors

- node

### Methods

- build
- setGraph

## Constructors

### constructor

- new ProvenanceGraphMenu(manager: CLUEGraphManager, parent: HTMLElement, appendChild?: boolean): ProvenanceGraphMenu

- - Defined in menu/ProvenanceGraphMenu.ts:15

  #### Parameters

  - ##### manager: CLUEGraphManager

  - ##### parent: HTMLElement

  - ##### Default value appendChild: boolean = true

  #### Returns ProvenanceGraphMenu

## Accessors

### node

node:

- Defined in menu/ProvenanceGraphMenu.ts:24

## Methods

### build

- build(graphs: IProvenanceGraphDataDescription[]): void

- - Defined in menu/ProvenanceGraphMenu.ts:136

  #### Parameters

  - ##### graphs: IProvenanceGraphDataDescription[]

  #### Returns void

### setGraph

- setGraph(graph: ProvenanceGraph): void

- - Defined in menu/ProvenanceGraphMenu.ts:28

  #### Parameters

  - ##### graph: ProvenanceGraph

  #### Returns void

Generated using TypeDoc